Zum Hauptinhalt springen
GET
/
url-mappings
/
v3
/
url-mappings
/
{id}
cURL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/v3/url-mappings/{id} \
  --header 'Authorization: Bearer <token>'
{
  "cdnPurgeEmbargoTime": 123,
  "contentGroupId": 123,
  "cosObjectType": "ACCESS_GROUP_MEMBERSHIP",
  "created": 123,
  "createdById": 123,
  "deletedAt": 123,
  "destination": "<string>",
  "id": 123,
  "internallyCreated": true,
  "isActive": true,
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isRegex": true,
  "isTrailingSlashOptional": true,
  "label": "<string>",
  "name": "<string>",
  "note": "<string>",
  "portalId": 123,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "updated": 123,
  "updatedById": 123
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

id
integer<int64>
erforderlich

Antwort

successful operation

cdnPurgeEmbargoTime
integer<int64>
erforderlich
contentGroupId
integer<int64>
erforderlich
cosObjectType
enum<string>
erforderlich
Verfügbare Optionen:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
erforderlich
createdById
integer<int32>
erforderlich
deletedAt
integer<int64>
erforderlich
destination
string
erforderlich
id
integer<int64>
erforderlich
internallyCreated
boolean
erforderlich
isActive
boolean
erforderlich
isMatchFullUrl
boolean
erforderlich
isMatchQueryString
boolean
erforderlich
isOnlyAfterNotFound
boolean
erforderlich
isPattern
boolean
erforderlich
isProtocolAgnostic
boolean
erforderlich
isRegex
boolean
erforderlich
isTrailingSlashOptional
boolean
erforderlich
label
string
erforderlich
name
string
erforderlich
note
string
erforderlich
portalId
integer<int32>
erforderlich
precedence
integer<int32>
erforderlich
redirectStyle
integer<int32>
erforderlich
routePrefix
string
erforderlich
updated
integer<int64>
erforderlich
updatedById
integer<int32>
erforderlich
Last modified on April 9, 2026